## org.eclipse.emf.cdo.common.id
Interface CDOIDExternal

All Superinterfaces:
  CDOID, java.lang.Comparable<CDOID>, java.io.Serializable

    public interface CDOIDExternal

extends CDOID

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`CDOID.Type`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`NULL`

Method Summary
`java.lang.String` `getURI()`

Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`getType, isExternal, isMeta, isNull, isObject, isTemporary, toURIFragment`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getURI

    java.lang.String getURI()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.